%global momorel 3
Summary: Lingua-Stem module for perl 
Name: perl-Lingua-Stem
Version: 0.83
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/Lingua/Lingua-Stem-%{version}.tar.gz
NoSource: 0
URL: http://www.cpan.org/modules/by-module/Lingua/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: perl >= 1:5.8.8
BuildArch: noarch
BuildRequires: perl-Lingua-PT-Stemmer
BuildRequires: perl-Lingua-Stem-Fr
BuildRequires: perl-Lingua-Stem-It
BuildRequires: perl-Lingua-Stem-Ru
BuildRequires: perl-Lingua-Stem-Snowball-Da
BuildRequires: perl-Snowball-Norwegian
BuildRequires: perl-Snowball-Swedish
BuildRequires: perl-Text-German
Requires: perl-Text-German
Requires: perl-Lingua-Stem-Snowball-Da
# Requires: perl-Lingua-Stem-Snowball-No #!! future work
# Requires: perl-Lingua-Stem-Snowball-Se #!! future work
# Requires: perl-Lingua-PT-Stemmer #!! future work

%description
Lingua-Stem module for perl

%prep
%setup -q -n Lingua-Stem-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Lingua-Stem-%{version}-filelist
if [ "$(cat Lingua-Stem-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f Lingua-Stem-%{version}-filelist
%defattr(-,root,root)
%doc Changes README*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.83-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.83-2m)
- rebuild against gcc43

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.83-1m)
- update to 0.83

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.82-2m)
- use vendor

* Fri Sep 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.82-1m)
- spec file was autogenerated
